---
title: "Get team invite"
url: "https://docs.signnow.com/docs/manage-users/operations/get-team-invite"
type: "endpoint"
section: "manage-users"
slug: "manage-users/operations/get-team-invite"
method: "GET"
path: "/team/{request_id}/request"
operation_id: "get-team-invite"
authorization: "bearer"
---

# Get team invite

`GET /team/{request_id}/request`

This endpoint allows API users to get information about a user's team invite.

## Authorization

bearer

## Path Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| `request_id` | string | Yes |  |

## Responses

### 200

Team invite details. Possible values of `request_status`:

* `waiting`: the user has not accepted or declined the invite.
* `approved`: the user accepted the invite.
* `declined`: the user declined the invite.
* `denied`: the invite was rejected by a team admin.
* `unknown`: an error occurred.

**Example** (`Successful response`)

```json
{
  "role": "user",
  "team_id": "27b7ed0c850d3b7b414a0b9e6a9db01320eb726d",
  "team_name": "Team 1",
  "request_id": "ec476e8a5ffa444b637961278acbbfb79dac54f4",
  "request_status": "waiting"
}
```

### 400

* The invite is not for this user.
* Invite not found.

**Example** (`Invite not found`)

```json
{
  "code": 66392,
  "message": "Team request not found"
}
```

**Example** (`Invite belongs to another user`)

```json
{
  "code": 65598,
  "message": "You cannot access somebody else's team request"
}
```

## Code Examples

> Replace `$SIGNNOW_ACCESS_TOKEN` and any `{placeholder}` values before running.

### cURL

```bash
curl -X GET \
  "https://api.signnow.com/team/{request_id}/request" \
  -H "Authorization: Bearer $SIGNNOW_ACCESS_TOKEN"
```

---
*Full reference: https://docs.signnow.com/docs/manage-users/operations/get-team-invite*
